DELETE
/api/v1/container_registry/setup-container-registry/
curl --request DELETE \ --url 'https://api.e2enetworks.com/myaccount/api/v1/container_registry/setup-container-registry/?project_id=<PROJECT_ID>&project_name=<PROJECT_NAME>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.delete( "https://api.e2enetworks.com/myaccount/api/v1/container_registry/setup-container-registry/", params={"project_id": "<PROJECT_ID>", "project_name": "<PROJECT_NAME>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/container_registry/setup-container-registry/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", project_name: "<PROJECT_NAME>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "DELETE", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
project_name
required
integer
Container Registry name
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”Container Registry deletion status retrieved successfully.
Media typeapplication/json
object
code
integer
data
object
status
string
errors
object
key
additional properties
string
message
string
Example
{ "code": 200, "data": { "status": "Container Registry Deletion Started" }, "errors": {}, "message": "Success"}